knowledge.delete
Remove a document and everything indexed from it.
Reference
DELETE/api/v1/knowledge-base/documents/{document_uuid}
- Auth
- API key in
X-API-Key - Content
- none
- Returns
- 200 · any
Soft delete a document and its chunks. Access Control: * Users can only delete documents from their organization.
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
document_uuid | path | string | required |
Example request
curl -X DELETE "https://api.decibyl.ai/api/v1/knowledge-base/documents/<document_uuid>" \
-H "X-API-Key: dcb_your_key"Response
{}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |